Sign in

Update data-capture form

PUT https://{organization}.myguper.com/api/register/datacapture/form

Updates a data-capture form definition. Only id is required; if fields is sent it goes through the same identifier-validation as on create — the organization's primary identifier field must be present and will be flagged as required: true and identifier: true.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: application/json

{
    "id": 1,
    "name": "optin",                                            // optional
    "fields": [                                                 // optional
        {
            "name": "phone",
            "label": "Telefone",                                // optional
            "type": "text",                                     // optional
            "required": false,                                  // optional
            "metadata": false,                                  // optional
            "metaKey": "shirt_size"                             // optional
        }
    ]
}

Responses

Copied to clipboard